import React from 'react';
import { LucideProps } from 'lucide-react';
import type { LucideIcon } from 'lucide-react';
export type Icon = LucideIcon;
export declare const Icons: {
    add: LucideIcon;
    alignCenter: LucideIcon;
    alignJustify: LucideIcon;
    alignLeft: LucideIcon;
    alignRight: LucideIcon;
    arrowDown: LucideIcon;
    bg: LucideIcon;
    blockquote: LucideIcon;
    bold: LucideIcon;
    borderAll: (props: LucideProps) => React.JSX.Element;
    borderBottom: (props: LucideProps) => React.JSX.Element;
    borderLeft: (props: LucideProps) => React.JSX.Element;
    borderNone: (props: LucideProps) => React.JSX.Element;
    borderRight: (props: LucideProps) => React.JSX.Element;
    borderTop: (props: LucideProps) => React.JSX.Element;
    check: LucideIcon;
    chevronRight: LucideIcon;
    chevronsUpDown: LucideIcon;
    clear: LucideIcon;
    close: LucideIcon;
    code: LucideIcon;
    codeblock: LucideIcon;
    color: LucideIcon;
    column: LucideIcon;
    comment: LucideIcon;
    commentAdd: LucideIcon;
    delete: LucideIcon;
    dragHandle: LucideIcon;
    editing: LucideIcon;
    emoji: LucideIcon;
    externalLink: LucideIcon;
    h1: LucideIcon;
    h2: LucideIcon;
    h3: LucideIcon;
    h4: LucideIcon;
    h5: LucideIcon;
    h6: LucideIcon;
    image: LucideIcon;
    indent: LucideIcon;
    italic: LucideIcon;
    kbd: LucideIcon;
    lineHeight: LucideIcon;
    link: LucideIcon;
    minus: LucideIcon;
    more: LucideIcon;
    ol: LucideIcon;
    outdent: LucideIcon;
    paragraph: LucideIcon;
    refresh: LucideIcon;
    row: LucideIcon;
    search: LucideIcon;
    settings: LucideIcon;
    strikethrough: LucideIcon;
    subscript: LucideIcon;
    superscript: LucideIcon;
    table: LucideIcon;
    text: LucideIcon;
    trash: LucideIcon;
    ul: LucideIcon;
    underline: LucideIcon;
    unlink: LucideIcon;
    viewing: LucideIcon;
    gitHub: (props: LucideProps) => React.JSX.Element;
    logo: (props: LucideProps) => React.JSX.Element;
    moon: LucideIcon;
    sun: LucideIcon;
    twitter: LucideIcon;
};
export declare const iconVariants: (props?: ({
    variant?: "toolbar" | "menuItem" | null | undefined;
    size?: "sm" | "md" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
