import React from 'react';
import { TColor } from './color-dropdown-menu';
type ColorPickerProps = {
    color?: string;
    colors: TColor[];
    customColors: TColor[];
    updateColor: (color: string) => void;
    updateCustomColor: (color: string) => void;
    clearColor: () => void;
} & React.HTMLAttributes<HTMLDivElement>;
export declare function ColorPickerContent({ color, colors, customColors, updateColor, updateCustomColor, clearColor, className, ...props }: ColorPickerProps): React.JSX.Element;
export declare const ColorPicker: React.MemoExoticComponent<typeof ColorPickerContent>;
export {};
