import React from 'react';
import { Emoji, GridRow, UseEmojiPickerType } from '@udecode/plate-emoji';
export type EmojiPickerContentProps = Pick<UseEmojiPickerType, 'i18n' | 'onMouseOver' | 'onSelectEmoji' | 'emojiLibrary' | 'isSearching' | 'searchResult' | 'visibleCategories' | 'refs' | 'settings'>;
export type EmojiButtonProps = {
    index: number;
    emoji: Emoji;
    onSelect: (emoji: Emoji) => void;
    onMouseOver: (emoji?: Emoji) => void;
};
export type RowOfButtonsProps = Pick<UseEmojiPickerType, 'onMouseOver' | 'onSelectEmoji' | 'emojiLibrary'> & {
    row: GridRow;
};
export declare function EmojiPickerContent({ i18n, onSelectEmoji, onMouseOver, emojiLibrary, isSearching, searchResult, visibleCategories, refs, settings, }: EmojiPickerContentProps): React.JSX.Element;
