import React, { ReactNode } from 'react';
import { UseVirtualFloatingOptions } from '@udecode/plate-floating';
import { ToolbarProps } from './toolbar';
export interface FloatingToolbarProps extends ToolbarProps {
    children: ReactNode;
    portalElement?: Element;
    floatingOptions?: UseVirtualFloatingOptions;
    ignoreReadOnly?: boolean;
    hideToolbar?: boolean;
}
export declare function FloatingToolbar({ portalElement, floatingOptions, ignoreReadOnly, hideToolbar, children, ...props }: FloatingToolbarProps): React.JSX.Element | null;
