import React from 'react';
import { PlateElementProps } from '@udecode/plate-common';
import { VariantProps } from 'class-variance-authority';
declare const headingVariants: (props?: ({
    variant?: "h1" | "h2" | "h3" | "h4" | "h5" | "h6" | null | undefined;
    isFirstBlock?: boolean | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export declare function HeadingElement({ className, variant, isFirstBlock, children, ...props }: PlateElementProps & VariantProps<typeof headingVariants>): React.JSX.Element;
export {};
