import React from 'react';
import { PlateElementProps } from '@udecode/plate-common';
export interface TableCellElementProps extends PlateElementProps {
    hideBorder?: boolean;
    isHeader?: boolean;
}
declare const TableCellElement: React.ForwardRefExoticComponent<Omit<TableCellElementProps, "ref"> & React.RefAttributes<any>>;
declare const TableCellHeaderElement: React.ForwardRefExoticComponent<Omit<TableCellElementProps, "ref"> & React.RefAttributes<any>>;
export { TableCellElement, TableCellHeaderElement };
