import * as React from 'react';
import * as TogglePrimitive from '@radix-ui/react-toggle';
import { VariantProps } from 'class-variance-authority';
declare const toggleVariants: (props?: ({
    variant?: "default" | "outline" | "floating" | null | undefined;
    size?: "default" | "sm" | "lg" | "circle" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export type ToggleProps = React.ComponentPropsWithoutRef<typeof TogglePrimitive.Root> & VariantProps<typeof toggleVariants>;
declare const Toggle: React.ForwardRefExoticComponent<Omit<TogglePrimitive.ToggleProps & React.RefAttributes<HTMLButtonElement>, "ref"> & VariantProps<(props?: ({
    variant?: "default" | "outline" | "floating" | null | undefined;
    size?: "default" | "sm" | "lg" | "circle" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string> & React.RefAttributes<HTMLButtonElement>>;
export { Toggle, toggleVariants };
