import { FC } from 'react';
import { WithDraggableOptions } from '@udecode/plate-dnd';
import { DraggableProps } from './draggable';
export declare const withDraggable: (Component: FC, options?: WithDraggableOptions<Partial<Omit<DraggableProps, 'editor' | 'element' | 'children'>>>) => import("react").ForwardRefExoticComponent<import("@udecode/plate-common").PlateRenderNodeProps<import("@udecode/plate-common").Value, import("@udecode/plate-common").PlateEditor<import("@udecode/plate-common").Value>> & Omit<import("slate-react").RenderElementProps, "element"> & {
    element: import("@udecode/plate-common").TElement;
} & import("react").RefAttributes<HTMLDivElement>>;
export declare const withDraggablesPrimitive: (components: any, options: (Partial<WithDraggableOptions<Partial<Omit<DraggableProps, "children" | "editor" | "element">>>> & import("@udecode/plate-common").AnyObject & {
    key?: string | undefined;
    keys?: string[] | undefined;
}) | (Partial<WithDraggableOptions<Partial<Omit<DraggableProps, "children" | "editor" | "element">>>> & import("@udecode/plate-common").AnyObject & {
    key?: string | undefined;
    keys?: string[] | undefined;
})[]) => any;
export declare const withDraggables: (components: any) => any;
