import React from 'react';
import { DropdownMenuItemProps } from '@radix-ui/react-dropdown-menu';
import { TColor } from './color-dropdown-menu';
type ColorDropdownMenuItemProps = {
    value: string;
    isBrightColor: boolean;
    isSelected: boolean;
    updateColor: (color: string) => void;
    name?: string;
} & DropdownMenuItemProps;
export declare function ColorDropdownMenuItem({ name, value, isBrightColor, isSelected, updateColor, className, ...props }: ColorDropdownMenuItemProps): React.JSX.Element;
type ColorDropdownMenuItemsProps = {
    color?: string;
    colors: TColor[];
    updateColor: (color: string) => void;
} & React.HTMLAttributes<HTMLDivElement>;
export declare function ColorDropdownMenuItems({ color, colors, updateColor, className, ...props }: ColorDropdownMenuItemsProps): React.JSX.Element;
export {};
