import React from 'react';
import { ComboboxContentItemProps, ComboboxContentProps, ComboboxProps, Data, NoData } from '@udecode/plate-combobox';
export declare function ComboboxItem<TData extends Data = NoData>({ combobox, index, item, onRenderItem, }: ComboboxContentItemProps<TData>): React.JSX.Element;
export declare function ComboboxContent<TData extends Data = NoData>(props: ComboboxContentProps<TData>): React.JSX.Element;
/**
 * Register the combobox id, trigger, onSelectItem
 * Renders the combobox if active.
 */
export declare function Combobox<TData extends Data = NoData>({ id, trigger, searchPattern, onSelectItem, controlled, maxSuggestions, filter, sort, disabled: _disabled, ...props }: ComboboxProps<TData>): React.JSX.Element | null;
