import React from 'react';
import { CursorData, CursorOverlayProps, CursorProps } from '@udecode/plate-cursor';
export declare const cursorStore: import("@udecode/plate-common").StoreApi<"cursor", {
    cursors: {};
}, import("@udecode/plate-common").StateActions<{
    cursors: {};
}>, {}>;
export declare function Cursor({ data, selectionRects, caretPosition, disableCaret, disableSelection, classNames, }: CursorProps<CursorData>): React.JSX.Element | null;
export declare function CursorOverlay({ cursors, ...props }: CursorOverlayProps): React.JSX.Element;
