import React from 'react';
import { EmojiCategoryList, UseEmojiPickerType } from '@udecode/plate-emoji';
export type EmojiPickerNavigationProps = Pick<UseEmojiPickerType, 'i18n' | 'emojiLibrary' | 'icons' | 'focusedCategory'> & {
    onClick: (id: EmojiCategoryList) => void;
};
export declare function EmojiPickerNavigation({ i18n, icons, emojiLibrary, focusedCategory, onClick, }: EmojiPickerNavigationProps): React.JSX.Element;
