import React from 'react';
import { UseEmojiPickerType } from '@udecode/plate-emoji';
export type EmojiPickerPreviewProps = Pick<UseEmojiPickerType, 'emoji' | 'hasFound' | 'isSearching' | 'i18n'>;
export type EmojiPreviewProps = Pick<UseEmojiPickerType, 'emoji'>;
export type NoEmojiPreviewProps = Pick<UseEmojiPickerType, 'i18n'>;
export type PickAnEmojiPreviewProps = NoEmojiPreviewProps;
export declare function EmojiPickerPreview({ emoji, hasFound, isSearching, i18n, ...props }: EmojiPickerPreviewProps): React.JSX.Element;
