import * as React from 'react';
import { VariantProps } from 'class-variance-authority';
export declare const inputVariants: (props?: ({
    variant?: "default" | "ghost" | null | undefined;
    h?: "sm" | "md" | null | undefined;
} & import("class-variance-authority/dist/types").ClassProp) | undefined) => string;
export interface InputProps extends React.InputHTMLAttributes<HTMLInputElement>, VariantProps<typeof inputVariants> {
}
declare const Input: React.ForwardRefExoticComponent<InputProps & React.RefAttributes<HTMLInputElement>>;
export { Input };
