import React from 'react';
import { ToolbarButtonProps } from './toolbar';
export interface MarkToolbarButtonProps extends Pick<ToolbarButtonProps, 'tooltip' | 'children'> {
    nodeType: string;
    clear?: string | string[];
}
/**
 * Toolbar button to toggle the mark of the leaves in selection.
 */
export declare function MarkToolbarButton({ clear, nodeType, ...props }: MarkToolbarButtonProps): React.JSX.Element;
