import React from 'react';
import { PlateElementProps, Value } from '@udecode/plate-common';
import { TMentionElement } from '@udecode/plate-mention';
export interface MentionElementProps extends PlateElementProps<Value, TMentionElement> {
    /**
     * Prefix rendered before mention
     */
    prefix?: string;
    onClick?: (mentionNode: any) => void;
    renderLabel?: (mentionable: TMentionElement) => string;
}
declare const MentionElement: React.ForwardRefExoticComponent<Omit<MentionElementProps, "ref"> & React.RefAttributes<any>>;
export { MentionElement };
