import React from 'react';
import { PlateElementProps, Value } from '@udecode/plate-common';
import { TMentionElement } from '@udecode/plate-mention';
export interface MentionInputElementProps extends PlateElementProps<Value, TMentionElement> {
    onClick?: (mentionNode: any) => void;
}
declare const MentionInputElement: React.ForwardRefExoticComponent<Omit<MentionInputElementProps, "ref"> & React.RefAttributes<any>>;
export { MentionInputElement };
